#!/usr/bin/env bash
set -euo pipefail

IMAGE="microblogpub:latest"
TAR="microblogpub.tar"
NAMESPACE="microblogpub"
APP_LABEL="app=microblogpub"

echo "ℹ️  Пересборка образа…"
docker build -t "${IMAGE}" .

echo "ℹ️  Экспорт в ${TAR}…"
docker save "${IMAGE}" -o "${TAR}"

echo "ℹ️  Импорт в k3s containerd…"
sudo k3s ctr images import "${TAR}"

echo "ℹ️  Очистка tar-файла…"
rm -f "${TAR}"

echo "ℹ️  Перезапуск Pods…"
kubectl -n "${NAMESPACE}" rollout restart deployment/microblogpub

echo "✅  Готово!"

